/*
* This file contains all the necessary settings for the IQS620A and this file can
* be changed from the GUI or edited here
* File:   IQS620A_init.h
* Author: Azoteq
*/

#ifndef IQS620A_INIT_H
#define IQS620A_INIT_H

/* Change the Prox Sensor Settings 0 */
/* Memory Map Position 0x40 - 0x4B */
#define PXS_620_SETTINGS0_0						0x11
#define PXS_620_SETTINGS0_1						0x12
#define PXS_620_SETTINGS0_2						0x30
#define PXS_620_SETTINGS0_3						0x0F
#define PXS_620_SETTINGS0_4						0x0F
#define PXS_620_SETTINGS0_5						0x0F
#define PXS_620_SETTINGS0_6						0x60
#define PXS_620_SETTINGS0_7						0x60
#define PXS_620_SETTINGS0_8						0x60
#define PXS_620_SETTINGS0_9						0x06
#define PXS_620_SETTINGS0_10					0x06
#define PXS_620_SETTINGS0_11					0x06

/* Change the Prox Sensor Settings 1 */
/* Memory Map Position 0x50 - 0x57 */
#define PXS_620_SETTINGS1_0						0x21
#define PXS_620_SETTINGS1_1						0x00
#define PXS_620_SETTINGS1_2						0x80
#define PXS_620_SETTINGS1_3						0x28
#define PXS_620_SETTINGS1_4						0x6D
#define PXS_620_SETTINGS1_5						0x0B
#define PXS_620_SETTINGS1_6						0x17
#define PXS_620_SETTINGS1_7						0x0D

/* Change the Prox UI Settings */
/* Memory Map Position 0x60 - 0x66 */
#define PXS_620_UI_SETTINGS_0					0x16
#define PXS_620_UI_SETTINGS_1					0x25
#define PXS_620_UI_SETTINGS_2					0x16
#define PXS_620_UI_SETTINGS_3					0x25
#define PXS_620_UI_SETTINGS_4					0x16
#define PXS_620_UI_SETTINGS_5					0x25
#define PXS_620_UI_SETTINGS_6					0x06

/* Change the SAR UI Settings */
/* Memory Map Position 0x70 - 0x75 */
#define SAR_620_UI_SETTINGS_0					0x16
#define SAR_620_UI_SETTINGS_1					0x25
#define SAR_620_UI_SETTINGS_2					0x05
#define SAR_620_UI_SETTINGS_3					0x16
#define SAR_620_UI_SETTINGS_4					0x25
#define SAR_620_UI_SETTINGS_5					0x06

/* Change the Hysteresis UI Settings */
/* Memory Map Position 0x80 - 0x83 */
#define HYSTERESIS_620_UI_SETTINGS_0			0xA2
#define HYSTERESIS_620_UI_SETTINGS_1			0x0A
#define HYSTERESIS_620_UI_SETTINGS_2			0x16
#define HYSTERESIS_620_UI_SETTINGS_3			0x25

/* Change the HALL Sensor Settings */
/* Memory Map Position 0x90 - 0x93 */
#define HALL_620_SENSOR_SETTINGS_0				0x03
#define HALL_620_SENSOR_SETTINGS_1				0x50
#define HALL_620_SENSOR_SETTINGS_2				0xE4
#define HALL_620_SENSOR_SETTINGS_3				0x09

/* Change the HALL Switch UI Settings */
/* Memory Map Position 0xA0 - 0xA2 */
#define HALL_620_UI_SETTINGS_0					0x00
#define HALL_620_UI_SETTINGS_1					0x19
#define HALL_620_UI_SETTINGS_2					0x19

/* Change the Temperature UI Settings */
/* Memory Map Position 0xC0 - 0xC4 */
#define TEMP_620_UI_SETTINGS_0					0x00
#define TEMP_620_UI_SETTINGS_1					0x00
#define TEMP_620_UI_SETTINGS_2					0x00
#define TEMP_620_UI_SETTINGS_3					0x00
#define TEMP_620_UI_SETTINGS_4					0x00

/* Change the Device & PMU Settings */
/* Memory Map Position 0xD0 - 0xDB */
#define SYSTEM_620_SETTINGS						0x00
#define ACTIVE_620_CHS							0x3B
#define PMU_620_SETTINGS						0x23
#define REPORT_620_RATES_TIMINGS_0				0x0C
#define REPORT_620_RATES_TIMINGS_1				0x30
#define REPORT_620_RATES_TIMINGS_2				0x08
#define REPORT_620_RATES_TIMINGS_3				0x14
#define GLOBAL_620_EVENT_MASK					0x00
#define PWM_620_DUTY_CYCLE						0x00
#define RDY_620_TIMEOUT_PERIOD					0x20
#define I2C_620_SETTINGS						0x01
#define CH_620_RESEED_ENABLE					0x07

#endif	/* IQS620A_INIT_H */
