/*
* This file contains all the necessary settings for the IQS621 and this file can
* be changed from the GUI or edited here
* File:   IQS621_init.h
* Author: Azoteq
*/

#ifndef IQS621_INIT_H
#define IQS621_INIT_H

//#ifdef DUALPIRS /*Dual PIR Setttings*/
/* Change the Prox Sensor Settings */
/* Memory Map Position 0x40 - 0x4D */
#define PXS_SETTINGS_0            0x11
#define PXS_SETTINGS_1            0x12
#define PXS_SETTINGS_2            0x07
#define PXS_SETTINGS_3            0x07
#define PXS_SETTINGS_4            0x20
#define PXS_SETTINGS_5            0x20
#define PXS_SETTINGS_6            0x26
#define PXS_SETTINGS_7            0x26
#define PXS_SETTINGS_8            0x22
#define PXS_SETTINGS_9            0x01
#define PXS_SETTINGS_10           0x62
#define PXS_SETTINGS_11           0x58
#define PXS_SETTINGS_12           0x01
#define PXS_SETTINGS_13           0x01

/* Change the Prox UI Settings */
/* Memory Map Position 0x50 - 0x54 */
#define PXS_UI_SETTINGS_0         0x16
#define PXS_UI_SETTINGS_1         0x0E
#define PXS_UI_SETTINGS_2         0x16
#define PXS_UI_SETTINGS_3         0x0E
#define PXS_UI_SETTINGS_4         0x06

/* Change the Metal Detect UI Settings */
/* Memory Map Position 0x60 - 0x63 */
#define METAL_UI_SETTINGS_0         0x22
#define METAL_UI_SETTINGS_1         0x04
#define METAL_UI_SETTINGS_2         0x16
#define METAL_UI_SETTINGS_3         0x22

/* Change the Light Sensor Settings */
/* Memory Map Position 0x70 - 0x73 */
#define LIGHT_SENSOR_SETTINGS_0       0x00
#define LIGHT_SENSOR_SETTINGS_1       0x80
#define LIGHT_SENSOR_SETTINGS_2       0x07
#define LIGHT_SENSOR_SETTINGS_3       0x00

/* Change the ALS UI Settings */
/* Memory Map Position 0x80 - 0x83 */
#define ALS_UI_SETTINGS_0         0x64
#define ALS_UI_SETTINGS_1         0x19
#define ALS_UI_SETTINGS_2         0x1C
#define ALS_UI_SETTINGS_3         0x04

/* Change the HALL Sensor Settings */
/* Memory Map Position 0x90 - 0x93 */
#define HALL_SENSOR_SETTINGS_0        0x03
#define HALL_SENSOR_SETTINGS_1        0x50
#define HALL_SENSOR_SETTINGS_2        0x41
#define HALL_SENSOR_SETTINGS_3        0x47

/* Change the HALL Switch UI Settings */
/* Memory Map Position 0xA0 - 0xA2 */
#define HALL_UI_SETTINGS_0          0x00
#define HALL_UI_SETTINGS_1          0x19
#define HALL_UI_SETTINGS_2          0x19

/* Change the Temperature UI Settings */
/* Memory Map Position 0xC0 - 0xC3 */
#define TEMP_UI_SETTINGS_0          0x00
#define TEMP_UI_SETTINGS_1          0x05
#define TEMP_UI_SETTINGS_2          0x27
#define TEMP_UI_SETTINGS_3          0x92

/* Change the Device & PMU Settings */
/* Memory Map Position 0xD0 - 0xD7 */
#define SYSTEM_SETTINGS           0x00
#define ACTIVE_CHS              0x7F
#define PMU_SETTINGS            0x23
#define REPORT_RATES_TIMINGS_0        0x0C
#define REPORT_RATES_TIMINGS_1        0x30
#define REPORT_RATES_TIMINGS_2        0x08
#define REPORT_RATES_TIMINGS_3        0x14
#define GLOBAL_EVENT_MASK         0x00

//#endif /*Dual PIR Setttings*/


#endif  /* IQS621_INIT_H */

